autogen.sh - da Slackbuild OK - da Sbopkg Errore ??

Postate qui per tutte le discussioni legate a Linux in generale.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Gnu/Linux in genere, se l'argomento è specifico alla Slackware usate uno dei forum Slackware o Slackware64.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.
Rispondi
Avatar utente
joe
Iper Master
Iper Master
Messaggi: 3793
Iscritto il: ven 27 apr 2007, 11:21
Slackware: 15.0
Kernel: 5.15.38
Desktop: dwm

autogen.sh - da Slackbuild OK - da Sbopkg Errore ??

Messaggio da joe »

Stavo installando qgis da SBo usando sbopkg

Codice: Seleziona tutto

sbopkg -i qgis
Scelgo la coda di dipendenze e inizia la compilazione ed installazione dei pacchetti... dopo aver compilato e installato "geos", tenta di compilare il pacchetto:

Codice: Seleziona tutto

librttopo
Ma si ferma dando errore:

Codice: Seleziona tutto

* Running /usr/bin/libtoolize (2.4.6)
   OPTIONS = --force --copy
libtoolize: putting auxiliary files in '../..'.
libtoolize: copying file '../../ltmain.sh'
libtoolize: putting macros in AC_CONFIG_MACRO_DIRS, 'm4'.
libtoolize: copying file 'm4/libtool.m4'
libtoolize: copying file 'm4/ltoptions.m4'
libtoolize: copying file 'm4/ltsugar.m4'
libtoolize: copying file 'm4/ltversion.m4'
libtoolize: copying file 'm4/lt~obsolete.m4'
* Running /usr/bin/aclocal (1.16.2)
* Running /usr/bin/autoheader (2.69)
* Running /usr/bin/automake (1.16.2)
   OPTIONS = --add-missing --copy -Woverride
configure.ac:42: installing './compile'
configure.ac:62: installing './config.guess'
configure.ac:62: installing './config.sub'
configure.ac:9: installing './install-sh'
configure.ac:63: error: required file './ltmain.sh' not found
configure.ac:9: installing './missing'
src/Makefile.am: installing './depcomp'

  Something went wrong, giving up!
Ok, ho cercato in giro ma le spiegazioni trovate non mi hanno convinto troppo.
Allora ho provato a compilarlo senza sbopkg, lanciando a mano lo stesso slackbuild di SBo (nella directory di lavoro con tutto il materiale necessario: tarball di SBo più i sorgenti di librttopo) ma anche così non funziona, stesso errore di prima e me lo aspettavo... allora ho provato a lanciare i comandi a mano copiandoli dallo slackbuild e invece così funziona, o per lo meno la fase di "autogen" fila liscia. alla fine ho fatto uno script di test:

Codice: Seleziona tutto

#!/bin/bash

tar xvf librttopo-1.1.0.tar.gz
cd librttopo/
chown -R root:root .
find -L .   -perm /111 -a \! -perm 755 -a -exec chmod 755 {} + -o   \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} +
./autogen.sh
./configure
make
rm /tmp/librttopo-test
mkdir /tmp/librttopo-test
make install DESTDIR=/tmp/librttopo-test
E sorpresa! Così viene compilato tutto in modo corretto.

Codice: Seleziona tutto

* Running /usr/bin/libtoolize (2.4.6)
   OPTIONS = --force --copy
libtoolize: putting auxiliary files in '.'.
libtoolize: copying file './ltmain.sh'
libtoolize: putting macros in AC_CONFIG_MACRO_DIRS, 'm4'.
libtoolize: copying file 'm4/libtool.m4'
libtoolize: copying file 'm4/ltoptions.m4'
libtoolize: copying file 'm4/ltsugar.m4'
libtoolize: copying file 'm4/ltversion.m4'
libtoolize: copying file 'm4/lt~obsolete.m4'
* Running /usr/bin/aclocal (1.16.2)
* Running /usr/bin/autoheader (2.69)
* Running /usr/bin/automake (1.16.2)
   OPTIONS = --add-missing --copy -Woverride
configure.ac:42: installing './compile'
configure.ac:9: installing './missing'
src/Makefile.am: installing './depcomp'
* Running /usr/bin/autoconf (2.69)
======================================
Now you are ready to run './configure'
======================================
[...]
E prosegue fino a produrre i vari files nella DESTDIR:

Codice: Seleziona tutto

# tree /tmp/librttopo-test/
/tmp/librttopo-test/
└── usr
    └── local
        ├── include
        │   ├── librttopo.h
        │   └── librttopo_geom.h
        └── lib
            ├── librttopo.a
            ├── librttopo.la
            ├── librttopo.so -> librttopo.so.1.1.0
            ├── librttopo.so.1 -> librttopo.so.1.1.0
            ├── librttopo.so.1.1.0
            └── pkgconfig
                └── rttopo.pc

5 directories, 8 files
Siccome utilizzo spesso sbopkg, vorrei capire dove stia il problema. Ho controllato il repo attivo ed è "SBo/15.0", per cui dovrebbe essere ok...
Non so se possa avere qualche problema ad inizializzare correttamente qualche variabile necessaria ad autotools libtoolize o altri software collegati all'errore in questione.

Cosa ne pensate? Qualche idea?

Avatar utente
ponce
Iper Master
Iper Master
Messaggi: 3026
Iscritto il: mer 5 mar 2008, 16:45
Nome Cognome: Matteo Bernardini
Slackware: slackware64-current
Kernel: 6.6.16
Desktop: lxde
Località: Pisa
Contatta:

Re: autogen.sh - da Slackbuild OK - da Sbopkg Errore ??

Messaggio da ponce »

joe ha scritto:
mar 12 mar 2024, 15:54

Codice: Seleziona tutto

* Running /usr/bin/libtoolize (2.4.6)
   OPTIONS = --force --copy
libtoolize: putting auxiliary files in '../..'.
libtoolize: copying file '../../ltmain.sh'
libtoolize: putting macros in AC_CONFIG_MACRO_DIRS, 'm4'.
libtoolize: copying file 'm4/libtool.m4'
libtoolize: copying file 'm4/ltoptions.m4'
libtoolize: copying file 'm4/ltsugar.m4'
libtoolize: copying file 'm4/ltversion.m4'
libtoolize: copying file 'm4/lt~obsolete.m4'
* Running /usr/bin/aclocal (1.16.2)
* Running /usr/bin/autoheader (2.69)
* Running /usr/bin/automake (1.16.2)
   OPTIONS = --add-missing --copy -Woverride
configure.ac:42: installing './compile'
configure.ac:62: installing './config.guess'
configure.ac:62: installing './config.sub'
configure.ac:9: installing './install-sh'
configure.ac:63: error: required file './ltmain.sh' not found
configure.ac:9: installing './missing'
src/Makefile.am: installing './depcomp'

  Something went wrong, giving up!
anch'io ho appena provato a fare il pacchetto con sbopkg e tutto e' andato bene, ma il mio output e' diverso dal tuo

Codice: Seleziona tutto

* Running /usr/bin/libtoolize (2.4.6)                                                                                                                                                                                                                                                                                                                                        
   OPTIONS = --force --copy                                                                                                                                                                                                                                                                                                                                                  
libtoolize: putting auxiliary files in '.'.                                                                                                                                           
libtoolize: copying file './ltmain.sh'                                                                                                                                                                                                                                                                                                                                       
libtoolize: putting macros in AC_CONFIG_MACRO_DIRS, 'm4'.                                                                                                                                                                                                                                                                                                                    
libtoolize: copying file 'm4/libtool.m4'                                                                                                                                                                                                                                                                                                                                     
libtoolize: copying file 'm4/ltoptions.m4'                                                                                                                                                                                                                                                                                                                                   
libtoolize: copying file 'm4/ltsugar.m4'                                                                                                                                              
libtoolize: copying file 'm4/ltversion.m4'                                                                                                                                                                                                                                                                                                                                   
libtoolize: copying file 'm4/lt~obsolete.m4'                                                                                                                                                                                                                                                                                                                                 
* Running /usr/bin/aclocal (1.16.2)                                                                                                                                                                                                                                                                                                                                          
* Running /usr/bin/autoheader (2.69)                                                                                                                                                                                                                                                                                                                                         
* Running /usr/bin/automake (1.16.2)                                                                                                                                                                                                                                                                                                                                         
   OPTIONS = --add-missing --copy -Woverride         
configure.ac:42: installing './compile'                                                                                                                                               
configure.ac:62: installing './config.guess'                                                                                                                                                                                                                                                                                                                                 
configure.ac:62: installing './config.sub'                
configure.ac:9: installing './install-sh'                        
configure.ac:9: installing './missing'                                                                                                                                                                                                                                                                                                                                       
src/Makefile.am: installing './depcomp'             
* Running /usr/bin/autoconf (2.69)                                                                                                                                                                                                                                                                                                                                           
======================================          
Now you are ready to run './configure'                                                                                                                                                                                                                                                                                                                                       
======================================
se mi chiedi perche' pero' non saprei che dirti...

ah, ora capisco perche' mi sembrava di avere una sensazione di deja-vu, non e' la prima volta... :)

Avatar utente
joe
Iper Master
Iper Master
Messaggi: 3793
Iscritto il: ven 27 apr 2007, 11:21
Slackware: 15.0
Kernel: 5.15.38
Desktop: dwm

Re: autogen.sh - da Slackbuild OK - da Sbopkg Errore ??

Messaggio da joe »

Maledizione!
Io non me lo sarei mai più ricordato... grazie!

Allora sì, se c'è un file chiamato "install.sh" nei paraggi della dir lavoro dei sorgenti libtoolize non funziona. La sintesi era quella... (i paraggi sono la parent dir e anche la parent di secondo livello ../..). Ma dimmi tu...
Per quanto mi riguarda allora vedevo questo comportamento come un bug, e a distanza di anni lo ribadisco...
cioé, vuoi cercare install.sh nelle parent dirs?
Benissimo, ma almeno vai anche a vedere cosa diavolo contiene e se è coerente con il software che ci si sta preparando a compilare. Se è solo un file omonimo che non c'entra una fava lascialo perdere e fai il tuo lavoro.

OK Ponce, io non ci sarei mai arrivato perché nonostante l'errore che salta fuori adesso sia proprio lo stesso di quella volta (error: required file './ltmain.sh' not found), pur avendolo cercato in lungo e in largo non sono riuscito a ripescare quella discussione... avrei dovuto restringere la ricerca al forum di slacky.
In ogni caso il file install.sh che mi sono ritrovato adesso in /tmp non è per niente lo stesso rispetto a quello di anni fa... sta volta era relatico ad X11 qualcosa, va be' ormai l'ho rimosso.

Testato il tutto e ora funziona regolarmente (almeno libtoolize ma spero continui a digerire anche il resto)! #-o
Grazie ancora! :D

Rispondi